//! @file ClassTemplate.hh
//! @brief クラステンプレート
//!
//! クラスを追加する場合は，このクラステンプレートを基に作ってネ。
//!
//! @date 20XX/XX/XX
//! @author Yuki YOKOKURA
//
// Copyright (C) 2011-20XX Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#ifndef CLASSTEMPLATE
#define CLASSTEMPLATE

namespace ARCS {	// ARCS名前空間
	//! @brief クラステンプレート
	class ClassTemplate {
		public:
			ClassTemplate();						//!< コンストラクタ
			ClassTemplate(ClassTemplate&& right);	//!< ムーブコンストラクタ
			~ClassTemplate();						//!< デストラクタ
			
		private:
			ClassTemplate(const ClassTemplate&) = delete;					//!< コピーコンストラクタ使用禁止
			const ClassTemplate& operator=(const ClassTemplate&) = delete;	//!< 代入演算子使用禁止
	};
}

#endif

