//! @file DQtransform.hh
//! @brief dq変換行列 ＆ 逆dq変換行列
//!
//! dq変換行列
//!
//! @date 2019/02/24
//! @author Yusuke Asai & Yuki YOKOKURA
//
// Copyright (C) 2011-2019 Yusuke Asai & Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#ifndef DQTRANSFORM
#define DQTRANSFORM

namespace ARCS {
	void dq_uvw(double d, double q, double theta, double *u, double *v, double *w);		// dq→uvw変換
	void dq_uvw_inv(double u, double v, double w, double theta, double *d, double *q);	// 逆dq→uvw変換
	void dq_uv(double d, double q, double theta, double *u, double *v);	// dq-uv 変換行列 位置の単位に注意　degではなく『rad』
}

#endif

