//! @file FixedAverage.cc
//! @brief FixedAverageクラス
//!
//! 時刻ゼロから現在時刻までの信号の平均を計算する。
//!
//! @date 2019/02/24
//! @author Yuki YOKOKURA
//
// Copyright (C) 2011-2019 Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#include "FixedAverage.hh"

using namespace ARCS;

FixedAverage::FixedAverage()
	// コンストラクタ
	: count(0), ave(0)
{
}

FixedAverage::~FixedAverage(){
	// デストラクタ
}

double FixedAverage::GetSignal(double in){
	// ひたすら平均値を計算し続ける関数
	count++;	// 呼ばれた回数をカウント
	ave += in;	// ひたすら加算
	return ave/(double)count;	// 平均値を返す
}

void FixedAverage::Reset(void){
	// 平均値とカウント数をリセットする関数
	count = 0;
	ave = 0;
}

