//! @file I_P_I_Pcontroller.cc
//! @brief I-P-I-P制御器
//! @date 2018/12/30
//! @author Yuki YOKOKURA
//
// Copyright (C) 2011-2018 Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#ifndef I_P_I_PCONTROLLER
#define I_P_I_PCONTROLLER

#include "Integrator.hh"

namespace ARCS {	// ARCS名前空間
	//! @brief I-P-I-P制御器
	class I_P_I_Pcontroller {
		public:
			I_P_I_Pcontroller(double Igain1, double Pgain1, double Igain2, double Pgain2, double SmplTime);	//!< コンストラクタ
			~I_P_I_Pcontroller();	//!< デストラクタ
			double GetSignal(double ref, double res);
		
		private:
			I_P_I_Pcontroller(const I_P_I_Pcontroller&);					//!< コピーコンストラクタ使用禁止
			const I_P_I_Pcontroller& operator=(const I_P_I_Pcontroller&);	//!< 代入演算子使用禁止
			double Ki1;
			double Kp1;
			double Ki2;
			double Kp2;
			double Ts;
			Integrator* Integ1;	//!< 積分器1
			Integrator* Integ2;	//!< 積分器2
	};
}

#endif

